SuccessConsole Output

Push event to branch master
11:21:57 Connecting to https://api.github.com using dwightguth/****** (GitHub Access Token)
Obtained Jenkinsfile from 75fc4916a75094c958677b0e362b6510831444df
Running in Durability level: MAX_SURVIVABILITY
[Pipeline] Start of Pipeline
[Pipeline] node
Running on rvwork-3 in /home/jenkins-slave/workspace/firefly-demo_master
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Declarative: Checkout SCM)
[Pipeline] checkout
using credential github
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://github.com/runtimeverification/firefly-demo.git
 > git init /home/jenkins-slave/workspace/firefly-demo_master # timeout=10
Using reference repository: /home/jenkins-slave/devops.git
Fetching upstream changes from https://github.com/runtimeverification/firefly-demo.git
 > git --version # timeout=10
using GIT_ASKPASS to set credentials GitHub Access Token
 > git fetch --tags --progress -- https://github.com/runtimeverification/firefly-demo.git +refs/heads/*:refs/remotes/origin/* # timeout=10
Checking out Revision 75fc4916a75094c958677b0e362b6510831444df (master)
Commit message: "Add support for Buidler (#22)"
 > git config remote.origin.url https://github.com/runtimeverification/firefly-demo.git # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/runtimeverification/firefly-demo.git # timeout=10
Fetching upstream changes from https://github.com/runtimeverification/firefly-demo.git
using GIT_ASKPASS to set credentials GitHub Access Token
 > git fetch --tags --progress -- https://github.com/runtimeverification/firefly-demo.git +refs/heads/master:refs/remotes/origin/master # timeout=10
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 75fc4916a75094c958677b0e362b6510831444df # timeout=10
 > git rev-list --no-walk 26990364d37e9bd4977cd48898884cbc9a8ac091 # timeout=10
[Pipeline] }
[Pipeline] // stage
[Pipeline] withEnv
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Declarative: Agent Setup)
[Pipeline] isUnix
[Pipeline] readFile
[Pipeline] sh
+ id -u
+ id -g
+ docker build -t 9cce09c2e9b6ba3c010238cbddbe9dc626c74395 --build-arg USER_ID=1001 --build-arg GROUP_ID=1001 --build-arg DOCKERHUB_TAG=ubuntu-bionic-master -f Dockerfile .
Sending build context to Docker daemon  261.6kB

Step 1/13 : ARG DOCKERHUB_TAG
Step 2/13 : FROM runtimeverificationinc/runtimeverification-firefly:${DOCKERHUB_TAG}
 ---> 149390646571
Step 3/13 : RUN    apt-get update                              && apt-get upgrade --yes                       && apt-get install --yes                                       curl                                           git                                            software-properties-common
 ---> Running in 0293453877d3
Get:1 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Get:3 http://security.ubuntu.com/ubuntu bionic-security/restricted amd64 Packages [89.9 kB]
Get:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Get:5 http://security.ubuntu.com/ubuntu bionic-security/main amd64 Packages [1005 kB]
Get:6 http://security.ubuntu.com/ubuntu bionic-security/multiverse amd64 Packages [9279 B]
Get:7 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 Packages [869 kB]
Get:8 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Get:9 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 Packages [13.6 kB]
Get:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 Packages [1306 kB]
Get:11 http://archive.ubuntu.com/ubuntu bionic-updates/restricted amd64 Packages [104 kB]
Get:12 http://archive.ubuntu.com/ubuntu bionic-updates/universe amd64 Packages [1405 kB]
Get:13 http://archive.ubuntu.com/ubuntu bionic-backports/universe amd64 Packages [8432 B]
Fetched 5063 kB in 1s (4021 kB/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages will be upgraded:
  libc-bin libc-dev-bin libc6 libc6-dev libgnutls30 linux-libc-dev
6 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 7763 kB of archives.
After this operation, 6144 B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libc6-dev amd64 2.27-3ubuntu1.2 [2585 kB]
Get:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libc-dev-bin amd64 2.27-3ubuntu1.2 [71.8 kB]
Get:3 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-libc-dev amd64 4.15.0-111.112 [997 kB]
Get:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libc6 amd64 2.27-3ubuntu1.2 [2827 kB]
Get:5 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libc-bin amd64 2.27-3ubuntu1.2 [637 kB]
Get:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgnutls30 amd64 3.5.18-1ubuntu1.4 [645 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 7763 kB in 1s (6283 kB/s)
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20614 files and directories currently installed.)
Preparing to unpack .../libc6-dev_2.27-3ubuntu1.2_amd64.deb ...
Unpacking libc6-dev:amd64 (2.27-3ubuntu1.2) over (2.27-3ubuntu1) ...
Preparing to unpack .../libc-dev-bin_2.27-3ubuntu1.2_amd64.deb ...
Unpacking libc-dev-bin (2.27-3ubuntu1.2) over (2.27-3ubuntu1) ...
Preparing to unpack .../linux-libc-dev_4.15.0-111.112_amd64.deb ...
Unpacking linux-libc-dev:amd64 (4.15.0-111.112) over (4.15.0-109.110) ...
Preparing to unpack .../libc6_2.27-3ubuntu1.2_amd64.deb ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
Unpacking libc6:amd64 (2.27-3ubuntu1.2) over (2.27-3ubuntu1) ...
Setting up libc6:amd64 (2.27-3ubuntu1.2) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20614 files and directories currently installed.)
Preparing to unpack .../libc-bin_2.27-3ubuntu1.2_amd64.deb ...
Unpacking libc-bin (2.27-3ubuntu1.2) over (2.27-3ubuntu1) ...
Setting up libc-bin (2.27-3ubuntu1.2) ...
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20614 files and directories currently installed.)
Preparing to unpack .../libgnutls30_3.5.18-1ubuntu1.4_amd64.deb ...
Unpacking libgnutls30:amd64 (3.5.18-1ubuntu1.4) over (3.5.18-1ubuntu1.3) ...
Setting up libgnutls30:amd64 (3.5.18-1ubuntu1.4) ...
Setting up linux-libc-dev:amd64 (4.15.0-111.112) ...
Setting up libc-dev-bin (2.27-3ubuntu1.2) ...
Setting up libc6-dev:amd64 (2.27-3ubuntu1.2) ...
Processing triggers for libc-bin (2.27-3ubuntu1.2) ...
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  cron dbus distro-info-data gir1.2-glib-2.0 git-man iso-codes krb5-locales
  less libapparmor1 libapt-inst2.0 libbsd0 libcurl3-gnutls libcurl4
  libdbus-1-3 libedit2 liberror-perl libgirepository-1.0-1 libglib2.0-0
  libglib2.0-data libgssapi-krb5-2 libk5crypto3 libkeyutils1 libkrb5-3
  libkrb5support0 libpsl5 librtmp1 libx11-6 libx11-data libxau6 libxcb1
  libxdmcp6 libxext6 libxml2 libxmuu1 lsb-release multiarch-support
  openssh-client powermgmt-base publicsuffix python-apt-common python3-apt
  python3-dbus python3-gi python3-software-properties shared-mime-info ucf
  unattended-upgrades xauth xdg-user-dirs
Suggested packages:
  anacron logrotate checksecurity exim4 | postfix | mail-transport-agent
  default-dbus-session-bus | dbus-session-bus gettext-base git-daemon-run
  | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-cvs
  git-mediawiki git-svn isoquery krb5-doc krb5-user lsb keychain libpam-ssh
  monkeysphere ssh-askpass python3-apt-dbg python-apt-doc python-dbus-doc
  python3-dbus-dbg bsd-mailx default-mta | mail-transport-agent needrestart
The following NEW packages will be installed:
  cron curl dbus distro-info-data gir1.2-glib-2.0 git git-man iso-codes
  krb5-locales less libapparmor1 libapt-inst2.0 libbsd0 libcurl3-gnutls
  libcurl4 libdbus-1-3 libedit2 liberror-perl libgirepository-1.0-1
  libglib2.0-0 libglib2.0-data libgssapi-krb5-2 libk5crypto3 libkeyutils1
  libkrb5-3 libkrb5support0 libpsl5 librtmp1 libx11-6 libx11-data libxau6
  libxcb1 libxdmcp6 libxext6 libxml2 libxmuu1 lsb-release multiarch-support
  openssh-client powermgmt-base publicsuffix python-apt-common python3-apt
  python3-dbus python3-gi python3-software-properties shared-mime-info
  software-properties-common ucf unattended-upgrades xauth xdg-user-dirs
0 upgraded, 52 newly installed, 0 to remove and 0 not upgraded.
Need to get 13.8 MB of archives.
After this operation, 80.8 MB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic/main amd64 cron amd64 3.0pl1-128.1ubuntu1 [68.8 kB]
Get:2 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 multiarch-support amd64 2.27-3ubuntu1.2 [6920 B]
Get:3 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxau6 amd64 1:1.0.8-1ubuntu1 [7556 B]
Get:4 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libbsd0 amd64 0.8.7-1ubuntu0.1 [41.6 kB]
Get:5 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxdmcp6 amd64 1:1.1.2-3 [10.7 kB]
Get:6 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxcb1 amd64 1.13-2~ubuntu18.04 [45.5 kB]
Get:7 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-data all 2:1.6.4-3ubuntu0.2 [113 kB]
Get:8 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-6 amd64 2:1.6.4-3ubuntu0.2 [569 kB]
Get:9 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxext6 amd64 2:1.3.3-1 [29.4 kB]
Get:10 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libapparmor1 amd64 2.12-4ubuntu5.1 [31.3 kB]
Get:11 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libdbus-1-3 amd64 1.12.2-1ubuntu1.2 [175 kB]
Get:12 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 dbus amd64 1.12.2-1ubuntu1.2 [150 kB]
Get:13 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 distro-info-data all 0.37ubuntu0.7 [4676 B]
Get:14 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-0 amd64 2.56.4-0ubuntu0.18.04.6 [1171 kB]
Get:15 http://archive.ubuntu.com/ubuntu bionic/main amd64 libgirepository-1.0-1 amd64 1.56.1-1 [82.0 kB]
Get:16 http://archive.ubuntu.com/ubuntu bionic/main amd64 gir1.2-glib-2.0 amd64 1.56.1-1 [131 kB]
Get:17 http://archive.ubuntu.com/ubuntu bionic/main amd64 less amd64 487-0.1 [112 kB]
Get:18 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libapt-inst2.0 amd64 1.6.12ubuntu0.1 [54.4 kB]
Get:19 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglib2.0-data all 2.56.4-0ubuntu0.18.04.6 [4540 B]
Get:20 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libxml2 amd64 2.9.4+dfsg1-6.1ubuntu1.3 [663 kB]
Get:21 http://archive.ubuntu.com/ubuntu bionic/main amd64 lsb-release all 9.20170808ubuntu1 [11.0 kB]
Get:22 http://archive.ubuntu.com/ubuntu bionic/main amd64 python3-dbus amd64 1.2.6-1 [89.9 kB]
Get:23 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-gi amd64 3.26.1-2ubuntu1 [153 kB]
Get:24 http://archive.ubuntu.com/ubuntu bionic/main amd64 shared-mime-info amd64 1.9-2 [426 kB]
Get:25 http://archive.ubuntu.com/ubuntu bionic/main amd64 ucf all 3.0038 [50.5 kB]
Get:26 http://archive.ubuntu.com/ubuntu bionic/main amd64 xdg-user-dirs amd64 0.17-1ubuntu1 [48.0 kB]
Get:27 http://archive.ubuntu.com/ubuntu bionic/main amd64 iso-codes all 3.79-1 [2565 kB]
Get:28 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 krb5-locales all 1.16-2ubuntu0.1 [13.5 kB]
Get:29 http://archive.ubuntu.com/ubuntu bionic/main amd64 libedit2 amd64 3.1-20170329-1 [76.9 kB]
Get:30 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libkrb5support0 amd64 1.16-2ubuntu0.1 [30.9 kB]
Get:31 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libk5crypto3 amd64 1.16-2ubuntu0.1 [85.6 kB]
Get:32 http://archive.ubuntu.com/ubuntu bionic/main amd64 libkeyutils1 amd64 1.5.9-9.2ubuntu2 [8720 B]
Get:33 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libkrb5-3 amd64 1.16-2ubuntu0.1 [279 kB]
Get:34 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgssapi-krb5-2 amd64 1.16-2ubuntu0.1 [122 kB]
Get:35 http://archive.ubuntu.com/ubuntu bionic/main amd64 libpsl5 amd64 0.19.1-5build1 [41.8 kB]
Get:36 http://archive.ubuntu.com/ubuntu bionic/main amd64 libxmuu1 amd64 2:1.1.2-2 [9674 B]
Get:37 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 openssh-client amd64 1:7.6p1-4ubuntu0.3 [614 kB]
Get:38 http://archive.ubuntu.com/ubuntu bionic/main amd64 powermgmt-base all 1.33 [8660 B]
Get:39 http://archive.ubuntu.com/ubuntu bionic/main amd64 publicsuffix all 20180223.1310-1 [97.6 kB]
Get:40 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python-apt-common all 1.6.5ubuntu0.3 [16.8 kB]
Get:41 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-apt amd64 1.6.5ubuntu0.3 [149 kB]
Get:42 http://archive.ubuntu.com/ubuntu bionic/main amd64 xauth amd64 1:1.0.10-1 [24.6 kB]
Get:43 http://archive.ubuntu.com/ubuntu bionic/main amd64 librtmp1 amd64 2.4+20151223.gitfa8646d.1-1 [54.2 kB]
Get:44 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libcurl4 amd64 7.58.0-2ubuntu3.9 [214 kB]
Get:45 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 curl amd64 7.58.0-2ubuntu3.9 [159 kB]
Get:46 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 libcurl3-gnutls amd64 7.58.0-2ubuntu3.9 [212 kB]
Get:47 http://archive.ubuntu.com/ubuntu bionic/main amd64 liberror-perl all 0.17025-1 [22.8 kB]
Get:48 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.7 [804 kB]
Get:49 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 git amd64 1:2.17.1-1ubuntu0.7 [3915 kB]
Get:50 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 python3-software-properties all 0.96.24.32.13 [23.8 kB]
Get:51 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 software-properties-common all 0.96.24.32.13 [10.0 kB]
Get:52 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 unattended-upgrades all 1.1ubuntu1.18.04.14 [41.7 kB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 13.8 MB in 2s (6997 kB/s)
Selecting previously unselected package cron.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20614 files and directories currently installed.)
Preparing to unpack .../0-cron_3.0pl1-128.1ubuntu1_amd64.deb ...
Unpacking cron (3.0pl1-128.1ubuntu1) ...
Selecting previously unselected package multiarch-support.
Preparing to unpack .../1-multiarch-support_2.27-3ubuntu1.2_amd64.deb ...
Unpacking multiarch-support (2.27-3ubuntu1.2) ...
Selecting previously unselected package libxau6:amd64.
Preparing to unpack .../2-libxau6_1%3a1.0.8-1ubuntu1_amd64.deb ...
Unpacking libxau6:amd64 (1:1.0.8-1ubuntu1) ...
Selecting previously unselected package libbsd0:amd64.
Preparing to unpack .../3-libbsd0_0.8.7-1ubuntu0.1_amd64.deb ...
Unpacking libbsd0:amd64 (0.8.7-1ubuntu0.1) ...
Selecting previously unselected package libxdmcp6:amd64.
Preparing to unpack .../4-libxdmcp6_1%3a1.1.2-3_amd64.deb ...
Unpacking libxdmcp6:amd64 (1:1.1.2-3) ...
Selecting previously unselected package libxcb1:amd64.
Preparing to unpack .../5-libxcb1_1.13-2~ubuntu18.04_amd64.deb ...
Unpacking libxcb1:amd64 (1.13-2~ubuntu18.04) ...
Selecting previously unselected package libx11-data.
Preparing to unpack .../6-libx11-data_2%3a1.6.4-3ubuntu0.2_all.deb ...
Unpacking libx11-data (2:1.6.4-3ubuntu0.2) ...
Selecting previously unselected package libx11-6:amd64.
Preparing to unpack .../7-libx11-6_2%3a1.6.4-3ubuntu0.2_amd64.deb ...
Unpacking libx11-6:amd64 (2:1.6.4-3ubuntu0.2) ...
Setting up multiarch-support (2.27-3ubuntu1.2) ...
Selecting previously unselected package libxext6:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20942 files and directories currently installed.)
Preparing to unpack .../00-libxext6_2%3a1.3.3-1_amd64.deb ...
Unpacking libxext6:amd64 (2:1.3.3-1) ...
Selecting previously unselected package libapparmor1:amd64.
Preparing to unpack .../01-libapparmor1_2.12-4ubuntu5.1_amd64.deb ...
Unpacking libapparmor1:amd64 (2.12-4ubuntu5.1) ...
Selecting previously unselected package libdbus-1-3:amd64.
Preparing to unpack .../02-libdbus-1-3_1.12.2-1ubuntu1.2_amd64.deb ...
Unpacking libdbus-1-3:amd64 (1.12.2-1ubuntu1.2) ...
Selecting previously unselected package dbus.
Preparing to unpack .../03-dbus_1.12.2-1ubuntu1.2_amd64.deb ...
Unpacking dbus (1.12.2-1ubuntu1.2) ...
Selecting previously unselected package distro-info-data.
Preparing to unpack .../04-distro-info-data_0.37ubuntu0.7_all.deb ...
Unpacking distro-info-data (0.37ubuntu0.7) ...
Selecting previously unselected package libglib2.0-0:amd64.
Preparing to unpack .../05-libglib2.0-0_2.56.4-0ubuntu0.18.04.6_amd64.deb ...
Unpacking libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.6) ...
Selecting previously unselected package libgirepository-1.0-1:amd64.
Preparing to unpack .../06-libgirepository-1.0-1_1.56.1-1_amd64.deb ...
Unpacking libgirepository-1.0-1:amd64 (1.56.1-1) ...
Selecting previously unselected package gir1.2-glib-2.0:amd64.
Preparing to unpack .../07-gir1.2-glib-2.0_1.56.1-1_amd64.deb ...
Unpacking gir1.2-glib-2.0:amd64 (1.56.1-1) ...
Selecting previously unselected package less.
Preparing to unpack .../08-less_487-0.1_amd64.deb ...
Unpacking less (487-0.1) ...
Selecting previously unselected package libapt-inst2.0:amd64.
Preparing to unpack .../09-libapt-inst2.0_1.6.12ubuntu0.1_amd64.deb ...
Unpacking libapt-inst2.0:amd64 (1.6.12ubuntu0.1) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../10-libglib2.0-data_2.56.4-0ubuntu0.18.04.6_all.deb ...
Unpacking libglib2.0-data (2.56.4-0ubuntu0.18.04.6) ...
Selecting previously unselected package libxml2:amd64.
Preparing to unpack .../11-libxml2_2.9.4+dfsg1-6.1ubuntu1.3_amd64.deb ...
Unpacking libxml2:amd64 (2.9.4+dfsg1-6.1ubuntu1.3) ...
Selecting previously unselected package lsb-release.
Preparing to unpack .../12-lsb-release_9.20170808ubuntu1_all.deb ...
Unpacking lsb-release (9.20170808ubuntu1) ...
Selecting previously unselected package python3-dbus.
Preparing to unpack .../13-python3-dbus_1.2.6-1_amd64.deb ...
Unpacking python3-dbus (1.2.6-1) ...
Selecting previously unselected package python3-gi.
Preparing to unpack .../14-python3-gi_3.26.1-2ubuntu1_amd64.deb ...
Unpacking python3-gi (3.26.1-2ubuntu1) ...
Selecting previously unselected package shared-mime-info.
Preparing to unpack .../15-shared-mime-info_1.9-2_amd64.deb ...
Unpacking shared-mime-info (1.9-2) ...
Selecting previously unselected package ucf.
Preparing to unpack .../16-ucf_3.0038_all.deb ...
Moving old data out of the way
Unpacking ucf (3.0038) ...
Selecting previously unselected package xdg-user-dirs.
Preparing to unpack .../17-xdg-user-dirs_0.17-1ubuntu1_amd64.deb ...
Unpacking xdg-user-dirs (0.17-1ubuntu1) ...
Selecting previously unselected package iso-codes.
Preparing to unpack .../18-iso-codes_3.79-1_all.deb ...
Unpacking iso-codes (3.79-1) ...
Selecting previously unselected package krb5-locales.
Preparing to unpack .../19-krb5-locales_1.16-2ubuntu0.1_all.deb ...
Unpacking krb5-locales (1.16-2ubuntu0.1) ...
Selecting previously unselected package libedit2:amd64.
Preparing to unpack .../20-libedit2_3.1-20170329-1_amd64.deb ...
Unpacking libedit2:amd64 (3.1-20170329-1) ...
Selecting previously unselected package libkrb5support0:amd64.
Preparing to unpack .../21-libkrb5support0_1.16-2ubuntu0.1_amd64.deb ...
Unpacking libkrb5support0:amd64 (1.16-2ubuntu0.1) ...
Selecting previously unselected package libk5crypto3:amd64.
Preparing to unpack .../22-libk5crypto3_1.16-2ubuntu0.1_amd64.deb ...
Unpacking libk5crypto3:amd64 (1.16-2ubuntu0.1) ...
Selecting previously unselected package libkeyutils1:amd64.
Preparing to unpack .../23-libkeyutils1_1.5.9-9.2ubuntu2_amd64.deb ...
Unpacking libkeyutils1:amd64 (1.5.9-9.2ubuntu2) ...
Selecting previously unselected package libkrb5-3:amd64.
Preparing to unpack .../24-libkrb5-3_1.16-2ubuntu0.1_amd64.deb ...
Unpacking libkrb5-3:amd64 (1.16-2ubuntu0.1) ...
Selecting previously unselected package libgssapi-krb5-2:amd64.
Preparing to unpack .../25-libgssapi-krb5-2_1.16-2ubuntu0.1_amd64.deb ...
Unpacking libgssapi-krb5-2:amd64 (1.16-2ubuntu0.1) ...
Selecting previously unselected package libpsl5:amd64.
Preparing to unpack .../26-libpsl5_0.19.1-5build1_amd64.deb ...
Unpacking libpsl5:amd64 (0.19.1-5build1) ...
Selecting previously unselected package libxmuu1:amd64.
Preparing to unpack .../27-libxmuu1_2%3a1.1.2-2_amd64.deb ...
Unpacking libxmuu1:amd64 (2:1.1.2-2) ...
Selecting previously unselected package openssh-client.
Preparing to unpack .../28-openssh-client_1%3a7.6p1-4ubuntu0.3_amd64.deb ...
Unpacking openssh-client (1:7.6p1-4ubuntu0.3) ...
Selecting previously unselected package powermgmt-base.
Preparing to unpack .../29-powermgmt-base_1.33_all.deb ...
Unpacking powermgmt-base (1.33) ...
Selecting previously unselected package publicsuffix.
Preparing to unpack .../30-publicsuffix_20180223.1310-1_all.deb ...
Unpacking publicsuffix (20180223.1310-1) ...
Selecting previously unselected package python-apt-common.
Preparing to unpack .../31-python-apt-common_1.6.5ubuntu0.3_all.deb ...
Unpacking python-apt-common (1.6.5ubuntu0.3) ...
Selecting previously unselected package python3-apt.
Preparing to unpack .../32-python3-apt_1.6.5ubuntu0.3_amd64.deb ...
Unpacking python3-apt (1.6.5ubuntu0.3) ...
Selecting previously unselected package xauth.
Preparing to unpack .../33-xauth_1%3a1.0.10-1_amd64.deb ...
Unpacking xauth (1:1.0.10-1) ...
Selecting previously unselected package librtmp1:amd64.
Preparing to unpack .../34-librtmp1_2.4+20151223.gitfa8646d.1-1_amd64.deb ...
Unpacking librtmp1:amd64 (2.4+20151223.gitfa8646d.1-1) ...
Selecting previously unselected package libcurl4:amd64.
Preparing to unpack .../35-libcurl4_7.58.0-2ubuntu3.9_amd64.deb ...
Unpacking libcurl4:amd64 (7.58.0-2ubuntu3.9) ...
Selecting previously unselected package curl.
Preparing to unpack .../36-curl_7.58.0-2ubuntu3.9_amd64.deb ...
Unpacking curl (7.58.0-2ubuntu3.9) ...
Selecting previously unselected package libcurl3-gnutls:amd64.
Preparing to unpack .../37-libcurl3-gnutls_7.58.0-2ubuntu3.9_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.58.0-2ubuntu3.9) ...
Selecting previously unselected package liberror-perl.
Preparing to unpack .../38-liberror-perl_0.17025-1_all.deb ...
Unpacking liberror-perl (0.17025-1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../39-git-man_1%3a2.17.1-1ubuntu0.7_all.deb ...
Unpacking git-man (1:2.17.1-1ubuntu0.7) ...
Selecting previously unselected package git.
Preparing to unpack .../40-git_1%3a2.17.1-1ubuntu0.7_amd64.deb ...
Unpacking git (1:2.17.1-1ubuntu0.7) ...
Selecting previously unselected package python3-software-properties.
Preparing to unpack .../41-python3-software-properties_0.96.24.32.13_all.deb ...
Unpacking python3-software-properties (0.96.24.32.13) ...
Selecting previously unselected package software-properties-common.
Preparing to unpack .../42-software-properties-common_0.96.24.32.13_all.deb ...
Unpacking software-properties-common (0.96.24.32.13) ...
Selecting previously unselected package unattended-upgrades.
Preparing to unpack .../43-unattended-upgrades_1.1ubuntu1.18.04.14_all.deb ...
Unpacking unattended-upgrades (1.1ubuntu1.18.04.14) ...
Setting up python-apt-common (1.6.5ubuntu0.3) ...
Setting up libedit2:amd64 (3.1-20170329-1) ...
Setting up libapt-inst2.0:amd64 (1.6.12ubuntu0.1) ...
Setting up git-man (1:2.17.1-1ubuntu0.7) ...
Setting up powermgmt-base (1.33) ...
Setting up less (487-0.1) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
Setting up python3-apt (1.6.5ubuntu0.3) ...
Setting up iso-codes (3.79-1) ...
Setting up liberror-perl (0.17025-1) ...
Setting up libpsl5:amd64 (0.19.1-5build1) ...
Setting up libglib2.0-0:amd64 (2.56.4-0ubuntu0.18.04.6) ...
No schema files found: doing nothing.
Setting up distro-info-data (0.37ubuntu0.7) ...
Setting up librtmp1:amd64 (2.4+20151223.gitfa8646d.1-1) ...
Setting up lsb-release (9.20170808ubuntu1) ...
Setting up libbsd0:amd64 (0.8.7-1ubuntu0.1) ...
Setting up libkrb5support0:amd64 (1.16-2ubuntu0.1) ...
Setting up ucf (3.0038) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline
Setting up libgirepository-1.0-1:amd64 (1.56.1-1) ...
Setting up libxml2:amd64 (2.9.4+dfsg1-6.1ubuntu1.3) ...
Setting up gir1.2-glib-2.0:amd64 (1.56.1-1) ...
Setting up libglib2.0-data (2.56.4-0ubuntu0.18.04.6) ...
Setting up krb5-locales (1.16-2ubuntu0.1) ...
Setting up publicsuffix (20180223.1310-1) ...
Setting up libapparmor1:amd64 (2.12-4ubuntu5.1) ...
Setting up shared-mime-info (1.9-2) ...
Setting up libxdmcp6:amd64 (1:1.1.2-3) ...
Setting up libkeyutils1:amd64 (1.5.9-9.2ubuntu2) ...
Setting up cron (3.0pl1-128.1ubuntu1) ...
Adding group `crontab' (GID 101) ...
Done.
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
invoke-rc.d: could not determine current runlevel
invoke-rc.d: policy-rc.d denied execution of start.
Setting up xdg-user-dirs (0.17-1ubuntu1) ...
Setting up libx11-data (2:1.6.4-3ubuntu0.2) ...
Setting up libxau6:amd64 (1:1.0.8-1ubuntu1) ...
Setting up libdbus-1-3:amd64 (1.12.2-1ubuntu1.2) ...
Setting up libk5crypto3:amd64 (1.16-2ubuntu0.1) ...
Setting up python3-dbus (1.2.6-1) ...
Setting up python3-gi (3.26.1-2ubuntu1) ...
Setting up unattended-upgrades (1.1ubuntu1.18.04.14) ...
debconf: unable to initialize frontend: Dialog
debconf: (TERM is not set, so the dialog frontend is not usable.)
debconf: falling back to frontend: Readline

Creating config file /etc/apt/apt.conf.d/20auto-upgrades with new version

Creating config file /etc/apt/apt.conf.d/50unattended-upgrades with new version
Setting up python3-software-properties (0.96.24.32.13) ...
Setting up libkrb5-3:amd64 (1.16-2ubuntu0.1) ...
Setting up dbus (1.12.2-1ubuntu1.2) ...
Setting up libxcb1:amd64 (1.13-2~ubuntu18.04) ...
Setting up software-properties-common (0.96.24.32.13) ...
Setting up libx11-6:amd64 (2:1.6.4-3ubuntu0.2) ...
Setting up libxmuu1:amd64 (2:1.1.2-2) ...
Setting up libgssapi-krb5-2:amd64 (1.16-2ubuntu0.1) ...
Setting up openssh-client (1:7.6p1-4ubuntu0.3) ...
Setting up libxext6:amd64 (2:1.3.3-1) ...
Setting up libcurl3-gnutls:amd64 (7.58.0-2ubuntu3.9) ...
Setting up libcurl4:amd64 (7.58.0-2ubuntu3.9) ...
Setting up xauth (1:1.0.10-1) ...
Setting up git (1:2.17.1-1ubuntu0.7) ...
Setting up curl (7.58.0-2ubuntu3.9) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for libc-bin (2.27-3ubuntu1.2) ...
Processing triggers for dbus (1.12.2-1ubuntu1.2) ...
Removing intermediate container 0293453877d3
 ---> d716ba4a51c3
Step 4/13 : RUN    curl -sL https://deb.nodesource.com/setup_10.x | bash -     && apt-get update                                              && apt-get upgrade --yes                                       && apt-get install --yes nodejs
 ---> Running in 84304c1c55d4

## Installing the NodeSource Node.js 10.x repo...


## Populating apt-get cache...

+ apt-get update
Hit:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Hit:3 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:4 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Reading package lists...

## Confirming "bionic" is supported...

+ curl -sLf -o /dev/null 'https://deb.nodesource.com/node_10.x/dists/bionic/Release'

## Adding the NodeSource signing key to your keyring...

+ curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK

## Creating apt sources list file for the NodeSource Node.js 10.x repo...

+ echo 'deb https://deb.nodesource.com/node_10.x bionic main' > /etc/apt/sources.list.d/nodesource.list
+ echo 'deb-src https://deb.nodesource.com/node_10.x bionic main' >> /etc/apt/sources.list.d/nodesource.list

## Running `apt-get update` for you...

+ apt-get update
Hit:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease
Get:3 https://deb.nodesource.com/node_10.x bionic InRelease [4584 B]
Hit:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:5 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Get:6 https://deb.nodesource.com/node_10.x bionic/main amd64 Packages [768 B]
Fetched 5352 B in 1s (7777 B/s)
Reading package lists...

## Run `sudo apt-get install -y nodejs` to install Node.js 10.x and npm
## You may also need development tools to build native addons:
     sudo apt-get install gcc g++ make
## To install the Yarn package manager, run:
     curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
     echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
     sudo apt-get update && sudo apt-get install yarn


Hit:1 http://security.ubuntu.com/ubuntu bionic-security InRelease
Hit:2 https://deb.nodesource.com/node_10.x bionic InRelease
Hit:3 http://archive.ubuntu.com/ubuntu bionic InRelease
Hit:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:5 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages have been kept back:
  nodejs
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  gyp javascript-common libc-ares2 libhttp-parser2.7.1 libjs-async
  libjs-inherits libjs-jquery libjs-node-uuid libjs-underscore libssl1.0-dev
  libuv1 libuv1-dev node-abbrev node-ansi node-ansi-color-table node-archy
  node-async node-balanced-match node-block-stream node-brace-expansion
  node-builtin-modules node-combined-stream node-concat-map node-cookie-jar
  node-delayed-stream node-forever-agent node-form-data node-fs.realpath
  node-fstream node-fstream-ignore node-github-url-from-git node-glob
  node-graceful-fs node-gyp node-hosted-git-info node-inflight node-inherits
  node-ini node-is-builtin-module node-isexe node-json-stringify-safe
  node-lockfile node-lru-cache node-mime node-minimatch node-mkdirp
  node-mute-stream node-node-uuid node-nopt node-normalize-package-data
  node-npmlog node-once node-osenv node-path-is-absolute node-pseudomap
  node-qs node-read node-read-package-json node-request node-retry node-rimraf
  node-semver node-sha node-slide node-spdx-correct node-spdx-expression-parse
  node-spdx-license-ids node-tar node-tunnel-agent node-underscore
  node-validate-npm-package-license node-which node-wrappy node-yallist
  nodejs-doc python-pkg-resources
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  nodejs-dev npm
The following packages will be upgraded:
  nodejs
1 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
Need to get 16.2 MB of archives.
After this operation, 51.1 MB of additional disk space will be used.
Get:1 https://deb.nodesource.com/node_10.x bionic/main amd64 nodejs amd64 10.21.0-1nodesource1 [16.2 MB]
debconf: delaying package configuration, since apt-utils is not installed
Fetched 16.2 MB in 1s (18.8 MB/s)
dpkg: nodejs-dev: dependency problems, but removing anyway as you requested:
 node-gyp depends on nodejs-dev.

(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 23810 files and directories currently installed.)
Removing nodejs-dev (8.10.0~dfsg-2ubuntu0.4) ...
dpkg: npm: dependency problems, but removing anyway as you requested:
 firefly depends on npm.

Removing npm (3.5.2-0ubuntu4) ...
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20729 files and directories currently installed.)
Preparing to unpack .../nodejs_10.21.0-1nodesource1_amd64.deb ...
Unpacking nodejs (10.21.0-1nodesource1) over (8.10.0~dfsg-2ubuntu0.4) ...
Setting up nodejs (10.21.0-1nodesource1) ...
Removing intermediate container 84304c1c55d4
 ---> ab1e24b1be70
Step 5/13 : ARG USER_ID=1000
 ---> Running in 841c119b8f55
Removing intermediate container 841c119b8f55
 ---> 39253ae32a35
Step 6/13 : ARG GROUP_ID=1000
 ---> Running in bd23b38fdacd
Removing intermediate container bd23b38fdacd
 ---> 06a8603bb473
Step 7/13 : RUN groupadd -g $GROUP_ID user && useradd -m -u $USER_ID -s /bin/sh -g user user
 ---> Running in 4b2287a67846
Removing intermediate container 4b2287a67846
 ---> ed0516f4fbfd
Step 8/13 : USER user:user
 ---> Running in 7dc21ada6e3e
Removing intermediate container 7dc21ada6e3e
 ---> 0a3ff9dc1a56
Step 9/13 : WORKDIR /home/user
 ---> Running in 5d36a3fc318a
Removing intermediate container 5d36a3fc318a
 ---> 8de6acc79fc2
Step 10/13 : ENV NPM_PACKAGES=/home/user/.npm-packages
 ---> Running in 5d83c6beff82
Removing intermediate container 5d83c6beff82
 ---> c09a15b6aa8c
Step 11/13 : ENV PATH=$NPM_PACKAGES/bin:$PATH
 ---> Running in 9d34d789305a
Removing intermediate container 9d34d789305a
 ---> a1ba6f7ca6d4
Step 12/13 : RUN npm config set prefix $NPM_PACKAGES
 ---> Running in 634a5f18aa4c
Removing intermediate container 634a5f18aa4c
 ---> 5038708d7e09
Step 13/13 : ENV LC_ALL=C.UTF-8
 ---> Running in 2bc472e7684d
Removing intermediate container 2bc472e7684d
 ---> edf88e626b03
Successfully built edf88e626b03
Successfully tagged 9cce09c2e9b6ba3c010238cbddbe9dc626c74395:latest
[Pipeline] }
[Pipeline] // stage
[Pipeline] isUnix
[Pipeline] sh
+ docker inspect -f . 9cce09c2e9b6ba3c010238cbddbe9dc626c74395
.
[Pipeline] withDockerContainer
rvwork-3 does not seem to be running inside a container
$ docker run -t -d -u 1001:1001 -w /home/jenkins-slave/workspace/firefly-demo_master -v /home/jenkins-slave/workspace/firefly-demo_master:/home/jenkins-slave/workspace/firefly-demo_master:rw,z -v /home/jenkins-slave/workspace/firefly-demo_master@tmp:/home/jenkins-slave/workspace/firefly-demo_master@tmp:rw,z -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** -e ******** 9cce09c2e9b6ba3c010238cbddbe9dc626c74395 cat
$ docker top 513c459098ca7f4be426ee7b0696292eba09b1e07b20e913e34dd0b5d653e0bd -eo pid,comm
ERROR: The container started but didn't run the expected command. Please double check your ENTRYPOINT does execute the command passed as docker run argument, as required by official docker images (see https://github.com/docker-library/official-images#consistency for entrypoint consistency requirements).
Alternatively you can force image entrypoint to be disabled by adding option `--entrypoint=''`.
[Pipeline] {
[Pipeline] ansiColor
[Pipeline] {
[Pipeline] stage [Pipeline] { (Init title) Stage "Init title" skipped due to when conditional [Pipeline] } [Pipeline] // stage [Pipeline] stage [Pipeline] { (Test with truffle) [Pipeline] timeout Timeout set to expire in 5 min 0 sec [Pipeline] { [Pipeline] sh + npm install npm WARN deprecated mkdirp-promise@5.0.1: This package is broken and no longer maintained. 'mkdirp' itself supports promises now, please switch to that. npm WARN deprecated @types/bignumber.js@5.0.0: This is a stub types definition for bignumber.js (https://github.com/MikeMcl/bignumber.js/). bignumber.js provides its own type definitions, so you don't need @types/bignumber.js installed! npm WARN deprecated multicodec@0.5.7: stable api reached npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142 > keccak@3.0.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereum-cryptography/node_modules/keccak > node-gyp-build || exit 0 > secp256k1@4.0.1 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereum-cryptography/node_modules/secp256k1 > node-gyp-build || exit 0 > keccak@1.4.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/@nomiclabs/ethereumjs-vm/node_modules/keccak > npm run rebuild || echo "Keccak bindings compilation fail. Pure JS implementation will be used." > keccak@1.4.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/@nomiclabs/ethereumjs-vm/node_modules/keccak > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/@nomiclabs/ethereumjs-vm/node_modules/keccak/build' CXX(target) Release/obj.target/keccak/src/addon.o ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Initialize(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:37:47: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int rate = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc:38:51: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int capacity = info[1]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::AbsorbLastFewBits(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:56:48: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned char bits = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Squeeze(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:64:43: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] size_t length = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Copy(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:75:82: warning: ‘v8::Local<v8::Object> v8::Value::ToObject() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] KeccakWrapper* to = Nan::ObjectWrap::Unwrap<KeccakWrapper>(info[0]->ToObject()); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63:0, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:10046:15: note: declared here Local<Object> Value::ToObject() const { ^~~~~ CC(target) Release/obj.target/keccak/src/libkeccak/KeccakSponge.o CC(target) Release/obj.target/keccak/src/libkeccak/KeccakP-1600-reference.o SOLINK_MODULE(target) Release/obj.target/keccak.node COPY Release/keccak.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/@nomiclabs/ethereumjs-vm/node_modules/keccak/build' > keccak@1.4.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/eth-sig-util/node_modules/keccak > npm run rebuild || echo "Keccak bindings compilation fail. Pure JS implementation will be used." > keccak@1.4.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/eth-sig-util/node_modules/keccak > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/eth-sig-util/node_modules/keccak/build' CXX(target) Release/obj.target/keccak/src/addon.o ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Initialize(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:37:47: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int rate = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc:38:51: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int capacity = info[1]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::AbsorbLastFewBits(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:56:48: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned char bits = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Squeeze(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:64:43: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] size_t length = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Copy(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:75:82: warning: ‘v8::Local<v8::Object> v8::Value::ToObject() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] KeccakWrapper* to = Nan::ObjectWrap::Unwrap<KeccakWrapper>(info[0]->ToObject()); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63:0, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:10046:15: note: declared here Local<Object> Value::ToObject() const { ^~~~~ CC(target) Release/obj.target/keccak/src/libkeccak/KeccakSponge.o CC(target) Release/obj.target/keccak/src/libkeccak/KeccakP-1600-reference.o SOLINK_MODULE(target) Release/obj.target/keccak.node COPY Release/keccak.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/eth-sig-util/node_modules/keccak/build' > keccak@1.4.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-block/node_modules/keccak > npm run rebuild || echo "Keccak bindings compilation fail. Pure JS implementation will be used." > keccak@1.4.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-block/node_modules/keccak > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-block/node_modules/keccak/build' CXX(target) Release/obj.target/keccak/src/addon.o ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Initialize(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:37:47: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int rate = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc:38:51: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int capacity = info[1]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::AbsorbLastFewBits(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:56:48: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned char bits = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Squeeze(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:64:43: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] size_t length = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Copy(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:75:82: warning: ‘v8::Local<v8::Object> v8::Value::ToObject() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] KeccakWrapper* to = Nan::ObjectWrap::Unwrap<KeccakWrapper>(info[0]->ToObject()); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63:0, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:10046:15: note: declared here Local<Object> Value::ToObject() const { ^~~~~ CC(target) Release/obj.target/keccak/src/libkeccak/KeccakSponge.o CC(target) Release/obj.target/keccak/src/libkeccak/KeccakP-1600-reference.o SOLINK_MODULE(target) Release/obj.target/keccak.node COPY Release/keccak.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-block/node_modules/keccak/build' > keccak@1.4.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-blockchain/node_modules/keccak > npm run rebuild || echo "Keccak bindings compilation fail. Pure JS implementation will be used." > keccak@1.4.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-blockchain/node_modules/keccak > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-blockchain/node_modules/keccak/build' CXX(target) Release/obj.target/keccak/src/addon.o ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Initialize(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:37:47: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int rate = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc:38:51: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int capacity = info[1]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::AbsorbLastFewBits(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:56:48: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned char bits = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Squeeze(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:64:43: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] size_t length = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Copy(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:75:82: warning: ‘v8::Local<v8::Object> v8::Value::ToObject() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] KeccakWrapper* to = Nan::ObjectWrap::Unwrap<KeccakWrapper>(info[0]->ToObject()); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63:0, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:10046:15: note: declared here Local<Object> Value::ToObject() const { ^~~~~ CC(target) Release/obj.target/keccak/src/libkeccak/KeccakSponge.o CC(target) Release/obj.target/keccak/src/libkeccak/KeccakP-1600-reference.o SOLINK_MODULE(target) Release/obj.target/keccak.node COPY Release/keccak.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/ethereumjs-blockchain/node_modules/keccak/build' > keccak@2.1.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/keccak > npm run rebuild || echo "Keccak bindings compilation fail. Pure JS implementation will be used." > keccak@2.1.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/keccak > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/keccak/build' CXX(target) Release/obj.target/keccak/src/addon.o CC(target) Release/obj.target/keccak/src/libkeccak-64/KeccakSpongeWidth1600.o CC(target) Release/obj.target/keccak/src/libkeccak-64/KeccakP-1600-opt64.o SOLINK_MODULE(target) Release/obj.target/keccak.node COPY Release/keccak.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/keccak/build' > keccak@1.4.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/merkle-patricia-tree/node_modules/keccak > npm run rebuild || echo "Keccak bindings compilation fail. Pure JS implementation will be used." > keccak@1.4.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/merkle-patricia-tree/node_modules/keccak > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/merkle-patricia-tree/node_modules/keccak/build' CXX(target) Release/obj.target/keccak/src/addon.o ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Initialize(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:37:47: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int rate = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc:38:51: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned int capacity = info[1]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::AbsorbLastFewBits(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:56:48: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] unsigned char bits = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Squeeze(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:64:43: warning: ‘int64_t v8::Value::IntegerValue() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] size_t length = info[0]->IntegerValue(); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:26:0, from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:2476:46: note: declared here V8_DEPRECATED("Use maybe version", int64_t IntegerValue() const); ^ /home/user/.cache/node-gyp/10.21.0/include/node/v8config.h:324:3: note: in definition of macro ‘V8_DEPRECATED’ declarator __attribute__((deprecated(message))) ^~~~~~~~~~ ../src/addon.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE KeccakWrapper::Copy(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/addon.cc:75:82: warning: ‘v8::Local<v8::Object> v8::Value::ToObject() const’ is deprecated: Use maybe version [-Wdeprecated-declarations] KeccakWrapper* to = Nan::ObjectWrap::Unwrap<KeccakWrapper>(info[0]->ToObject()); ^ In file included from /home/user/.cache/node-gyp/10.21.0/include/node/node.h:63:0, from ../src/addon.cc:1: /home/user/.cache/node-gyp/10.21.0/include/node/v8.h:10046:15: note: declared here Local<Object> Value::ToObject() const { ^~~~~ CC(target) Release/obj.target/keccak/src/libkeccak/KeccakSponge.o CC(target) Release/obj.target/keccak/src/libkeccak/KeccakP-1600-reference.o SOLINK_MODULE(target) Release/obj.target/keccak.node COPY Release/keccak.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/merkle-patricia-tree/node_modules/keccak/build' > sha3@1.2.6 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/sha3 > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/sha3/build' CXX(target) Release/obj.target/sha3/src/addon.o CXX(target) Release/obj.target/sha3/src/displayIntermediateValues.o CXX(target) Release/obj.target/sha3/src/KeccakF-1600-reference.o CXX(target) Release/obj.target/sha3/src/KeccakNISTInterface.o CXX(target) Release/obj.target/sha3/src/KeccakSponge.o SOLINK_MODULE(target) Release/obj.target/sha3.node COPY Release/sha3.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/sha3/build' > secp256k1@3.8.0 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/secp256k1 > npm run rebuild || echo "Secp256k1 bindings compilation fail. Pure JS implementation will be used." > secp256k1@3.8.0 rebuild /home/jenkins-slave/workspace/firefly-demo_master/node_modules/secp256k1 > node-gyp rebuild make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/secp256k1/build' CXX(target) Release/obj.target/secp256k1/src/addon.o CXX(target) Release/obj.target/secp256k1/src/privatekey.o ../src/privatekey.cc: In function ‘Nan::NAN_METHOD_RETURN_TYPE privateKeyNegate(Nan::NAN_METHOD_ARGS_TYPE)’: ../src/privatekey.cc:73:30: warning: ignoring return value of ‘int secp256k1_ec_privkey_negate(const secp256k1_context*, unsigned char*)’, declared with attribute warn_unused_result [-Wunused-result] secp256k1_ec_privkey_negate(secp256k1ctx, &private_key[0]); ~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ CXX(target) Release/obj.target/secp256k1/src/publickey.o CXX(target) Release/obj.target/secp256k1/src/signature.o CXX(target) Release/obj.target/secp256k1/src/ecdsa.o CXX(target) Release/obj.target/secp256k1/src/ecdh.o CC(target) Release/obj.target/secp256k1/src/secp256k1-src/src/secp256k1.o CC(target) Release/obj.target/secp256k1/src/secp256k1-src/contrib/lax_der_parsing.o CC(target) Release/obj.target/secp256k1/src/secp256k1-src/contrib/lax_der_privatekey_parsing.o SOLINK_MODULE(target) Release/obj.target/secp256k1.node COPY Release/secp256k1.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/secp256k1/build' > websocket@1.0.31 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/web3/node_modules/websocket > (node-gyp rebuild 2> builderror.log) || (exit 0) make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/web3/node_modules/websocket/build' CXX(target) Release/obj.target/bufferutil/src/bufferutil.o SOLINK_MODULE(target) Release/obj.target/bufferutil.node COPY Release/bufferutil.node CXX(target) Release/obj.target/validation/src/validation.o SOLINK_MODULE(target) Release/obj.target/validation.node COPY Release/validation.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/web3/node_modules/websocket/build' > websocket@1.0.29 install /home/jenkins-slave/workspace/firefly-demo_master/node_modules/websocket > (node-gyp rebuild 2> builderror.log) || (exit 0) make: Entering directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/websocket/build' CXX(target) Release/obj.target/bufferutil/src/bufferutil.o SOLINK_MODULE(target) Release/obj.target/bufferutil.node COPY Release/bufferutil.node CXX(target) Release/obj.target/validation/src/validation.o SOLINK_MODULE(target) Release/obj.target/validation.node COPY Release/validation.node make: Leaving directory '/home/jenkins-slave/workspace/firefly-demo_master/node_modules/websocket/build' > core-js-pure@3.6.5 postinstall /home/jenkins-slave/workspace/firefly-demo_master/node_modules/core-js-pure > node -e "try{require('./postinstall')}catch(e){}" > web3@1.2.9 postinstall /home/jenkins-slave/workspace/firefly-demo_master/node_modules/web3 > node angular-patch.js > truffle@5.1.34 postinstall /home/jenkins-slave/workspace/firefly-demo_master/node_modules/truffle > node ./scripts/postinstall.js - Fetching solc version list from solc-bin. Attempt #1 ✔ Downloading compiler. Attempt #1. npm notice created a lockfile as package-lock.json. You should commit this file. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@~2.1.1 (node_modules/chokidar/node_modules/fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"}) npm WARN HelloWorld@1.0.0 No repository field. added 814 packages from 513 contributors and audited 816 packages in 40.406s 30 packages are looking for funding run `npm fund` for details found 4 low severity vulnerabilities run `npm audit fix` to fix them, or `npm audit` for details + firefly compile == Compiler output path is ./build/contracts == Compiling Contracts Compiling your contracts... =========================== > Compiling ./contracts/ERC20.sol > Compiling ./contracts/ERC20EXT.sol > Artifacts written to /home/jenkins-slave/workspace/firefly-demo_master/build/contracts > Compiled successfully using: - solc: 0.5.16+commit.9c3226ce.Emscripten.clang adding: ERC20.json (deflated 94%) adding: ERC20EXT.json (deflated 91%) + sleep 2 + firefly launch -p 8145 --quiet --shutdownable --respond-to-notifications == Launching Firefly Client == Initializing State + npx truffle test Using network 'development'. Compiling your contracts... =========================== > Everything is up to date, there is nothing to compile. Contract: ERC20 Initial mint works (1468ms) Transfer decreases/increases amount (90ms) Total supply stays constant (66ms) Contract: ERC20EXT Initial mint works (47ms) Transfer decreases/increases amount (89ms) 5 passing (2s) + firefly coverage -p 8145 == Retrieving Coverage Data == Retrieving Bytecode Maps adding: firefly_coverage/0x18942fc6de14e58b3fc67cb9786b5ea201fad2f23735eaf86d02e7e62b986dbb.json (deflated 92%) adding: firefly_coverage/0x67e361edac36653fb51a423eb02b31576955e30285b8ad2e59542e1f3b805abb.json (deflated 92%) adding: firefly_coverage/0x6a84f92402326e97907e0fda9f02bf84478b5d8a4231839f6b0b60e5fb84c436.json (deflated 91%) adding: firefly_coverage/0x8047efc4024afd962ee0a01edd010a728225e3dee2072643b5363758ebb70232.json (deflated 92%) adding: firefly_coverage/bytecodes.json (deflated 93%) adding: firefly_coverage/coverage.json (deflated 43%) + firefly close -p 8145 == Closing Firefly [Pipeline] } [Pipeline] // timeout [Pipeline] } [Pipeline] // stage [Pipeline] stage [Pipeline] { (Test with buidler) [Pipeline] timeout Timeout set to expire in 5 min 0 sec [Pipeline] { [Pipeline] sh + npm install npm WARN HelloWorld@1.0.0 No repository field. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"}) audited 816 packages in 3.13s 30 packages are looking for funding run `npm fund` for details found 4 low severity vulnerabilities run `npm audit fix` to fix them, or `npm audit` for details + firefly compile == Compiler output path is ./build/contracts == Compiling Contracts Compiling your contracts... =========================== > Everything is up to date, there is nothing to compile. updating: ERC20.json (deflated 94%) updating: ERC20EXT.json (deflated 91%) + sleep 2 + firefly launch -p 8145 --quiet --shutdownable --respond-to-notifications == Launching Firefly Client == Initializing State + npx buidler --network localhost test Compiling... Downloading compiler version 0.5.16 Compiled 2 contracts successfully Contract: ERC20 ✓ Initial mint works (140ms) ✓ Transfer decreases/increases amount (157ms) ✓ Total supply stays constant (123ms) Contract: ERC20EXT ✓ Initial mint works (87ms) ✓ Transfer decreases/increases amount (138ms) 5 passing (649ms) + firefly coverage -p 8145 == Retrieving Coverage Data == Retrieving Bytecode Maps updating: firefly_coverage/0x18942fc6de14e58b3fc67cb9786b5ea201fad2f23735eaf86d02e7e62b986dbb.json (deflated 92%) updating: firefly_coverage/0x67e361edac36653fb51a423eb02b31576955e30285b8ad2e59542e1f3b805abb.json (deflated 92%) updating: firefly_coverage/0x6a84f92402326e97907e0fda9f02bf84478b5d8a4231839f6b0b60e5fb84c436.json (deflated 91%) updating: firefly_coverage/0x8047efc4024afd962ee0a01edd010a728225e3dee2072643b5363758ebb70232.json (deflated 92%) updating: firefly_coverage/bytecodes.json (deflated 93%) updating: firefly_coverage/coverage.json (deflated 42%) adding: firefly_coverage/0x2e3d7b8ac9723afc0dfe521503a16970d96698cadafe82ce3dddee3ed7e72644.json (deflated 92%) adding: firefly_coverage/0x398b806f10d98b065ceba95f34a8ff07e2bb12b7202a24f44f6da01993d1351f.json (deflated 91%) adding: firefly_coverage/0x3e2cc34a0ebd9c87a0ba7fc304249adf92360abc2eadf3a6cc5c719ba34ff53a.json (deflated 92%) adding: firefly_coverage/0xc4307f823fae5799f82ce802426e25002262d450c8bb806077f67e5dcb347ede.json (deflated 92%) + firefly close -p 8145 == Closing Firefly [Pipeline] } [Pipeline] // timeout [Pipeline] } [Pipeline] // stage [Pipeline] stage [Pipeline] { (Update Firefly Submodule) [Pipeline] build Scheduling project: rv-devops » master [Pipeline] } [Pipeline] // stage [Pipeline] }
[Pipeline] // ansiColor [Pipeline] } $ docker stop --time=1 513c459098ca7f4be426ee7b0696292eba09b1e07b20e913e34dd0b5d653e0bd $ docker rm -f 513c459098ca7f4be426ee7b0696292eba09b1e07b20e913e34dd0b5d653e0bd [Pipeline] // withDockerContainer [Pipeline] } [Pipeline] // withEnv [Pipeline] } [Pipeline] // node [Pipeline] End of Pipeline GitHub has been notified of this commit’s build result Finished: SUCCESS